/*
 * generated by Xtext
 */
package org.eclipse.gemoc.execution.moccml.runstar.xtext.parser.antlr;

import com.google.inject.Inject;

import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.gemoc.execution.moccml.runstar.xtext.services.RunstarGrammarAccess;

public class RunstarParser extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser {
	
	@Inject
	private RunstarGrammarAccess grammarAccess;
	
	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	
	@Override
	protected org.eclipse.gemoc.execution.moccml.runstar.xtext.parser.antlr.internal.InternalRunstarParser createParser(XtextTokenStream stream) {
		return new org.eclipse.gemoc.execution.moccml.runstar.xtext.parser.antlr.internal.InternalRunstarParser(stream, getGrammarAccess());
	}
	
	@Override 
	protected String getDefaultRuleName() {
		return "RuntimeStateRepresentation";
	}
	
	public RunstarGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(RunstarGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
	
}
